# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "distribution"
  s.version = "0.7.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Claudio Bustos"]
  s.cert_chain = ["-----BEGIN CERTIFICATE-----\nMIIDMjCCAhqgAwIBAgIBADANBgkqhkiG9w0BAQUFADA/MREwDwYDVQQDDAhjbGJ1\nc3RvczEVMBMGCgmSJomT8ixkARkWBWdtYWlsMRMwEQYKCZImiZPyLGQBGRYDY29t\nMB4XDTEwMDMyOTIxMzg1NVoXDTExMDMyOTIxMzg1NVowPzERMA8GA1UEAwwIY2xi\ndXN0b3MxFTATBgoJkiaJk/IsZAEZFgVnbWFpbDETMBEGCgmSJomT8ixkARkWA2Nv\nbTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBALf8JVMGqE7m5kYb+PNN\nneZv2pcXV5fQCi6xkyG8bi2/SIFy/LyxuvLzEeOxBeaz1Be93bayIUquOIqw3dyw\n/KXWa31FxuNuvAm6CN8fyeRYX/ou4cw3OIUUnIvB7RMNIu4wbgeM6htV/QEsNLrv\nat1/mh9JpqawPrcjIOVMj4BIp67vmzJCaUf+S/H2uYtSO09F+YQE3tv85TPeRmqU\nyjyXyTc/oJiw1cXskUL8UtMWZmrwNLHXuZWWIMzkjiz3UNdhJr/t5ROk8S2WPznl\n0bMy/PMIlAbqWolRn1zl2VFJ3TaXScbqImY8Wf4g62b/1ZSUlGrtnLNsCYXrWiso\nUPUCAwEAAaM5MDcwCQYDVR0TBAIwADALBgNVHQ8EBAMCBLAwHQYDVR0OBBYEFGu9\nrrJ1H64qRmNNu3Jj/Qjvh0u5MA0GCSqGSIb3DQEBBQUAA4IBAQCV0Unka5isrhZk\nGjqSDqY/6hF+G2pbFcbWUpjmC8NWtAxeC+7NGV3ljd0e1SLfoyBj4gnFtFmY8qX4\nK02tgSZM0eDV8TpgFpWXzK6LzHvoanuahHLZEtk/+Z885lFene+nHadkem1n9iAB\ncs96JO9/JfFyuXM27wFAwmfHCmJfPF09R4VvGHRAvb8MGzSVgk2i06OJTqkBTwvv\nJHJdoyw3+8bw9RJ+jLaNoQ+xu+1pQdS2bb3m7xjZpufml/m8zFCtjYM/7qgkKR8z\n/ZZt8lCiKfFArppRrZayE2FVsps4X6WwBdrKTMZ0CKSXTRctbEj1BAZ67eoTvBBt\nrpP0jjs0\n-----END CERTIFICATE-----\n"]
  s.date = "2011-11-30"
  s.description = "Statistical Distributions library. Includes Normal univariate and bivariate, T, F, Chi Square, Binomial, Hypergeometric, Exponential, Poisson, Beta, LogNormal and Gamma.\n\nUses Ruby by default and C (statistics2/GSL) or Java extensions where available.\n\nIncludes code from statistics2 on Normal, T, F and Chi Square ruby code [http://blade.nagaokaut.ac.jp/~sinara/ruby/math/statistics2]"
  s.email = ["clbustos_at_gmail.com"]
  s.executables = ["distribution"]
  s.extra_rdoc_files = ["History.txt", "Manifest.txt", "README.txt"]
  s.files = [".autotest", "History.txt", "Manifest.txt", "README.txt", "Rakefile", "benchmark/binomial_coefficient.rb", "benchmark/binomial_coefficient/binomial_coefficient.ds", "benchmark/binomial_coefficient/binomial_coefficient.xls", "benchmark/binomial_coefficient/experiment.rb", "benchmark/factorial_hash.rb", "benchmark/factorial_method.rb", "benchmark/odd.rb", "benchmark/power.rb", "bin/distribution", "data/template/distribution.erb", "data/template/distribution/gsl.erb", "data/template/distribution/ruby.erb", "data/template/spec.erb", "lib/distribution.rb", "lib/distribution/beta.rb", "lib/distribution/beta/gsl.rb", "lib/distribution/beta/java.rb", "lib/distribution/beta/ruby.rb", "lib/distribution/binomial.rb", "lib/distribution/binomial/gsl.rb", "lib/distribution/binomial/java.rb", "lib/distribution/binomial/ruby.rb", "lib/distribution/bivariatenormal.rb", "lib/distribution/bivariatenormal/gsl.rb", "lib/distribution/bivariatenormal/java.rb", "lib/distribution/bivariatenormal/ruby.rb", "lib/distribution/bivariatenormal/statistics2.rb", "lib/distribution/chisquare.rb", "lib/distribution/chisquare/gsl.rb", "lib/distribution/chisquare/java.rb", "lib/distribution/chisquare/ruby.rb", "lib/distribution/chisquare/statistics2.rb", "lib/distribution/exponential.rb", "lib/distribution/exponential/gsl.rb", "lib/distribution/exponential/ruby.rb", "lib/distribution/f.rb", "lib/distribution/f/gsl.rb", "lib/distribution/f/java.rb", "lib/distribution/f/ruby.rb", "lib/distribution/f/statistics2.rb", "lib/distribution/gamma.rb", "lib/distribution/gamma/gsl.rb", "lib/distribution/gamma/java.rb", "lib/distribution/gamma/ruby.rb", "lib/distribution/hypergeometric.rb", "lib/distribution/hypergeometric/gsl.rb", "lib/distribution/hypergeometric/java.rb", "lib/distribution/hypergeometric/ruby.rb", "lib/distribution/logistic.rb", "lib/distribution/logistic/ruby.rb", "lib/distribution/lognormal.rb", "lib/distribution/lognormal/gsl.rb", "lib/distribution/lognormal/ruby.rb", "lib/distribution/math_extension.rb", "lib/distribution/math_extension/chebyshev_series.rb", "lib/distribution/math_extension/erfc.rb", "lib/distribution/math_extension/exponential_integral.rb", "lib/distribution/math_extension/gammastar.rb", "lib/distribution/math_extension/gsl_utilities.rb", "lib/distribution/math_extension/incomplete_beta.rb", "lib/distribution/math_extension/incomplete_gamma.rb", "lib/distribution/math_extension/log_utilities.rb", "lib/distribution/normal.rb", "lib/distribution/normal/gsl.rb", "lib/distribution/normal/java.rb", "lib/distribution/normal/ruby.rb", "lib/distribution/normal/statistics2.rb", "lib/distribution/normalmultivariate.rb", "lib/distribution/poisson.rb", "lib/distribution/poisson/gsl.rb", "lib/distribution/poisson/java.rb", "lib/distribution/poisson/ruby.rb", "lib/distribution/t.rb", "lib/distribution/t/gsl.rb", "lib/distribution/t/java.rb", "lib/distribution/t/ruby.rb", "lib/distribution/t/statistics2.rb", "spec/beta_spec.rb", "spec/binomial_spec.rb", "spec/bivariatenormal_spec.rb", "spec/chisquare_spec.rb", "spec/distribution_spec.rb", "spec/exponential_spec.rb", "spec/f_spec.rb", "spec/gamma_spec.rb", "spec/hypergeometric_spec.rb", "spec/logistic_spec.rb", "spec/lognormal_spec.rb", "spec/math_extension_spec.rb", "spec/normal_spec.rb", "spec/poisson_spec.rb", "spec/shorthand_spec.rb", "spec/spec.opts", "spec/spec_helper.rb", "spec/t_spec.rb", "vendor/java/commons-math-2.2.jar"]
  s.homepage = "https://github.com/clbustos/distribution"
  s.rdoc_options = ["--main", "README.txt"]
  s.require_paths = ["lib"]
  s.rubyforge_project = "distribution"
  s.rubygems_version = "1.8.23"
  s.summary = "Statistical Distributions library"

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rubyforge>, [">= 2.0.4"])
      s.add_development_dependency(%q<rspec>, [">= 2.0"])
      s.add_development_dependency(%q<rubyforge>, [">= 0"])
      s.add_development_dependency(%q<hoe>, [">= 2.8.0"])
    else
      s.add_dependency(%q<rubyforge>, [">= 2.0.4"])
      s.add_dependency(%q<rspec>, [">= 2.0"])
      s.add_dependency(%q<rubyforge>, [">= 0"])
      s.add_dependency(%q<hoe>, [">= 2.8.0"])
    end
  else
    s.add_dependency(%q<rubyforge>, [">= 2.0.4"])
    s.add_dependency(%q<rspec>, [">= 2.0"])
    s.add_dependency(%q<rubyforge>, [">= 0"])
    s.add_dependency(%q<hoe>, [">= 2.8.0"])
  end
end
